Subject: Re: bug#11456: guile-2.0.5 fails to compile under mingw+msys

From: Andy Wingo <[email-masked]>
Date: Wed, 04 Jul 2012 21:27:06 +0200

Hi,

Sorry for the long delay in the response.

On Sat 12 May 2012 00:53, gnuemacser <[email-masked]> writes:

> I got the sources of guile-2.0.5 and I tried to compile them under 
> mingw+msys.
> The compilation failed because of this error:
> make[3]: Entering directory `/e/temp/files/1/guile/guile-2.0.5/libguile'
>   CC     libguile_2.0_la-threads.lo
> threads.c: In function 'to_timespec':
> threads.c:267:15: error: dereferencing pointer to incomplete type
> threads.c:268:15: error: dereferencing pointer to incomplete type
> threads.c:275:15: error: dereferencing pointer to incomplete type
> threads.c:276:15: error: dereferencing pointer to incomplete type
> threads.c: In function 'launch_thread':
> threads.c:1012:3: warning: implicit declaration of function
> 'GC_pthread_detach'

I think you are building with the default --with-threads argument, which
is to enable them.  If you want threads on mingw, you will have to use
the pthread wrapper for mingw, and build libgc with pthread support.
Otherwise, build guile --without-threads.

Regards,

Andy
-- 
http://wingolog.org/